{% extends 'base.html' %}

{% block content %}
    <div>
        <h1>{{ project_object.name }}</h1>
        <p>{{ project_object.description }}</p>
        <h2>Tasks</h2>
        <p>
            <a href="{% url "create_task" %}">Create a new task</a>
        </p>
        {% if show_project %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for tasks in show_project %}
                        <tr>
                            <th>{{ tasks.name }}</th>
                            <th>{{ tasks.assignee }}</th>
                            <th>{{ tasks.start_date }}</th>
                            <th>{{ tasks.due_date }}</th>
                            <th>{{ tasks.is_completed|yesno }}</th>
                        </tr>
                    {% endfor %}
                {% else %}
                    <p>This project has no tasks</p>
                {% endif %}
            </tbody>
        </table>
    </div>
{% endblock content %}
